---
title: scale
slug: Web/CSS/scale
tags:
  - CSS
  - CSS Property
  - Reference
  - Transforms
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>scale</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property allows you to specify scale transforms individually and independently of the {{CSSxRef("transform")}} property. This maps better to typical user interface usage, and saves having to remember the exact order of transform functions to specify in the <code>transform</code> value.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css notranslate">/* Keyword values */
scale: none;

/* Single values */
/* values of more than 1 make the element grow */
scale: 2;
/* values of less than 1 make the element shrink */
scale: 0.5;

/* Two values */
scale: 2 0.5;

/* Three values */
scale: 2 0.5 2;</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt>Single number value</dt>
 <dd>A {{CSSxRef("&lt;number&gt;")}} specifying a scale factor to make the affected element scale by the same factor along both the X and Y axes. Equivalent to a <code>scale()</code> (2D scaling) function with a single value specified.</dd>
 <dt>Two length/percentage values</dt>
 <dd>Two {{CSSxRef("&lt;number&gt;")}}s that specify the X and Y axis scaling values (respectively) of a 2D scale. Equivalent to a <code>scale()</code> (2D scaling) function with two values specified.</dd>
 <dt>Three length/percentage values</dt>
 <dd>Three {{CSSxRef("&lt;number&gt;")}}s that specify the X, Y, and Z axis scaling values (respectively) of a 3D scale. Equivalent to a <code>scale3d()</code> (3D scaling) function.</dd>
 <dt id="none"><code>none</code></dt>
 <dd>Specifies that no scaling should be applied.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Scaling_an_element_on_hover">Scaling an element on hover</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div&gt;
  &lt;p class="scale"&gt;Scaling&lt;/p&gt;
&lt;/div&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">* {
  box-sizing: border-box;
}

html {
  font-family: sans-serif;
}

div {
  width: 150px;
  margin: 0 auto;
}

p {
  padding: 10px 5px;
  border: 3px solid black;
  border-radius: 20px;
  width: 150px;
  font-size: 1.2rem;
  text-align: center;
}

.scale {
  transition: scale 1s;
}

div:hover .scale {
  scale: 2 0.7;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Scaling_an_element_on_hover")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS Transforms 2", "#individual-transforms", "individual transforms")}}</td>
   <td>{{Spec2("CSS Transforms 2")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.scale")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref('translate')}}</li>
 <li>{{cssxref('rotate')}}</li>
 <li>{{cssxref('transform')}}</li>
</ul>

<p>Note: skew is not an independent transform value</p>
